WP42Parser Class Reference

`#include <WP42Parser.h>`

Inheritance diagram for WP42Parser:

## Public Member Functions

| WP42Parser (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP42Parser () override
void | parse (librevenge::RVNGTextInterface *documentInterface) override
void | parseSubDocument (librevenge::RVNGTextInterface *documentInterface) override
Public Member Functions inherited from WPXParser
| WPXParser (librevenge::RVNGInputStream *input, WPXHeader *header, WPXEncryption *encryption)
virtual | ~WPXParser ()

## Static Public Member Functions

static void | parseDocument (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP42Listener *listener)

## Private Member Functions

void | parse (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP42Listener *listener)

## Additional Inherited Members

Protected Member Functions inherited from WPXParser
WPXHeader * | getHeader ()
librevenge::RVNGInputStream * | getInput ()
WPXEncryption * | getEncryption ()

## Constructor & Destructor Documentation

## WP42Parser()

WP42Parser::WP42Parser | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ~WP42Parser()

WP42Parser::~WP42Parser | ( |  | ) |

override

## Member Function Documentation

## parse() [1/2]

void WP42Parser::parse | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP42Listener * | listener )

private

## parse() [2/2]

void WP42Parser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

override virtual

Implements WPXParser.

Referenced by parse().

## parseDocument()

void WP42Parser::parseDocument | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | WP42Listener * | listener )

static

Referenced by parse(), WP42SubDocument::parse(), and parseSubDocument().

## parseSubDocument()

void WP42Parser::parseSubDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |

override virtual

Implements WPXParser.

The documentation for this class was generated from the following files:

- WP42Parser.h
- WP42Parser.cpp